obj-m := sdio.o sdio_uif.o cards/

ifeq ($(CONFIG_PCI),y)
obj-m += slot_shc.o
endif

ifdef CONFIG_USB
obj-m += slot_ushc.o
endif

ifeq ($(CONFIG_PXA27x),y)
obj-m += slot_pxa27x.o
endif

ifeq ($(CONFIG_MACH_ARCOM_ZEUS),y)
obj-m += slot_zeus.o
endif

ifeq ($(CONFIG_PXA_SHARP_Cxx00),y)
obj-m += slot_sharp_cxx00.o
endif

ifeq ($(CONFIG_ARCH_MX27),y)
obj-m += slot_imx27.o
endif

ifeq ($(CONFIG_MACH_MX27ADS),y)
obj-m += slot_imx27ads.o
endif

ifeq ($(CONFIG_ARCH_MX3),y)
obj-m += slot_imx31.o
endif

ifeq ($(CONFIG_MACH_MX31ADS),y)
obj-m += slot_imx31ads.o
endif


ifeq ($(CONFIG_SPI),y)
obj-m += slot_spi.o
endif

sdio-y := \
      sdio_card.o       \
      sdio_cis.o        \
      sdio_cmd.o  	\
      sdio_core.o 	\
      sdio_cspi.o	\
      sdio_func.o       \
      sdio_int.o	\
      sdio_pm.o	    \
      sdio_io.o         \
      sdio_slot.o       \
      sdio_event_log.o

sdio-y += \
      sdio_lx.o         \
      sdio_os_event_log_lx.o \

sdio_uif-y := \
	fdrv_uif_lx.o

slot_shc-y := \
	slot_shc_pci_lx.o

slot_ushc-y := \
	slot_ushc_lx.o

slot_pxa27x-y := \
        slot_pxa27x_lx.o

slot_zeus-y := \
	slot_zeus_lx.o

slot_imx27-y := \
	slot_imx27_lx.o

slot_imx27ads-y := \
	slot_imx27ads_lx.o

slot_imx31-y := \
	slot_imx31_lx.o

slot_imx31ads-y := \
	slot_imx31ads_lx.o

slot_spi-y := \
	slot_spi_lx.o

EXTRA_CFLAGS += -I$(M) -I$(M)/include -I$(OSKADIR)/include \
	$(EXTRA_DRV_CFLAGS)
